gnutls_kx_get(3)

NAME
gnutls_kx_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_kx_algorithm_t gnutls_kx_get(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Get currently used key exchange algorithm.

RETURNS
the key exchange algorithm used in the last handshake, a gnutls_kx_algorithm_t value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/